## org.eclipse.m2m.atl.core.ui.launch
Class AdvancedTab

    java.lang.Object
      org.eclipse.debug.ui.AbstractLaunchConfigurationTab
          org.eclipse.m2m.atl.core.ui.launch.AdvancedTab

All Implemented Interfaces:
  org.eclipse.debug.ui.ILaunchConfigurationTab

    public class AdvancedTab

extends org.eclipse.debug.ui.AbstractLaunchConfigurationTab

The "advanced" tab in ATL configurations.

Field Summary
`static java.lang.String` `OPTION_CLEAR` Clears console after each launch.
`static java.lang.String` `OPTION_CONTENT_TYPE` Automatically detect content types for extraction.
`static java.lang.String` `OPTION_DERIVED` Sets generated files as derived.

Constructor Summary
`AdvancedTab()`

Method Summary
`boolean` `canSave()`
`void` `createControl(org.eclipse.swt.widgets.Composite parent)`
`org.eclipse.swt.graphics.Image` `getImage()`
`java.lang.String` `getName()`
`void` `initializeFrom(org.eclipse.debug.core.ILaunchConfiguration configuration)`
`static void` `messageBox(org.eclipse.swt.widgets.Shell shell, java.lang.String textToDisplay)` Display a message box with the text in parameter.
`void` `performApply(org.eclipse.debug.core.ILaunchConfigurationWorkingCopy configuration)`
`void` `setDefaults(org.eclipse.debug.core.ILaunchConfigurationWorkingCopy configuration)`
`protected void` `updateLaunchConfigurationDialog()`

Methods inherited from class org.eclipse.debug.ui.AbstractLaunchConfigurationTab

`activated, createCheckButton, createPushButton, createRadioButton, createSeparator, createUpdateJob, createVerticalSpacer, deactivated, dispose, getControl, getErrorMessage, getId, getLaunchConfigurationDialog, getLaunchManager, getMessage, getShell, getUpdateJobDelay, isDirty, isValid, launched, scheduleUpdateJob, setAttribute, setControl, setDirty, setErrorMessage, setLaunchConfigurationDialog, setMessage`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### OPTION_DERIVED

    public static final java.lang.String OPTION_DERIVED

  Sets generated files as derived.

  See Also:
    Constant Field Values

### OPTION_CLEAR

    public static final java.lang.String OPTION_CLEAR

  Clears console after each launch.

  See Also:
    Constant Field Values

### OPTION_CONTENT_TYPE

    public static final java.lang.String OPTION_CONTENT_TYPE

  Automatically detect content types for extraction.

  See Also:
    Constant Field Values

Constructor Detail

### AdvancedTab

    public AdvancedTab()

Method Detail

### createControl

    public void createControl(org.eclipse.swt.widgets.Composite parent)

  See Also:
    `ILaunchConfigurationTab.createControl(org.eclipse.swt.widgets.Composite)`

### updateLaunchConfigurationDialog

    protected void updateLaunchConfigurationDialog()

  Overrides:
    `updateLaunchConfigurationDialog` in class `org.eclipse.debug.ui.AbstractLaunchConfigurationTab`
  See Also:
    `AbstractLaunchConfigurationTab.updateLaunchConfigurationDialog()`

### getName

    public java.lang.String getName()

### initializeFrom

    public void initializeFrom(org.eclipse.debug.core.ILaunchConfiguration configuration)

  See Also:
    `ILaunchConfigurationTab.initializeFrom(org.eclipse.debug.core.ILaunchConfiguration)`

### performApply

    public void performApply(org.eclipse.debug.core.ILaunchConfigurationWorkingCopy configuration)

  See Also:
    `ILaunchConfigurationTab.performApply(org.eclipse.debug.core.ILaunchConfigurationWorkingCopy)`

### setDefaults

    public void setDefaults(org.eclipse.debug.core.ILaunchConfigurationWorkingCopy configuration)

  See Also:
    `ILaunchConfigurationTab.setDefaults(org.eclipse.debug.core.ILaunchConfigurationWorkingCopy)`

### canSave

    public boolean canSave()

  Specified by:
    `canSave` in interface `org.eclipse.debug.ui.ILaunchConfigurationTab`
  Overrides:
    `canSave` in class `org.eclipse.debug.ui.AbstractLaunchConfigurationTab`
  See Also:
    `AbstractLaunchConfigurationTab.canSave()`

### getImage

    public org.eclipse.swt.graphics.Image getImage()

  Specified by:
    `getImage` in interface `org.eclipse.debug.ui.ILaunchConfigurationTab`
  Overrides:
    `getImage` in class `org.eclipse.debug.ui.AbstractLaunchConfigurationTab`
  See Also:
    `AbstractLaunchConfigurationTab.getImage()`

### messageBox

    public static void messageBox(org.eclipse.swt.widgets.Shell shell,
                                  java.lang.String textToDisplay)

  Display a message box with the text in parameter.

  Parameters:
    `shell` - shell
    `textToDisplay` - the message

Copyright 2007 IBM Corporation and others. All Rights Reserved.